%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-dictclient
Version:        1.0.1
Release:        1%{?dist}
Summary:        Python client for DICT protocol

Group:          Development/Languages
License:        GPLv2+
URL:            http://gopher.quux.org:70/devel/dictclient
Source0:        http://gopher.quux.org:70/devel/dictclient/dictclient_1.0.1.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:      noarch
BuildRequires:  python-devel
%if 0%{?fedora} >= 8
BuildRequires: python-setuptools-devel
%else
BuildRequires: python-setuptools
%endif

%description
A client library for the DICT protocol.

%prep
%setup -q -n dictclient


%build
CFLAGS="%{optflags}" %{__python} -c 'import setuptools; execfile("setup.py")' build


%install
%{__rm} -rf %{buildroot}
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root %{buildroot}

 
%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING dictclient.html dictclient.txt README
%{python_sitelib}/dictclient.py*
%{python_sitelib}/*.egg-info


%changelog
* Sat Apr 05 2008 Ricky Zhou <ricky@fedoraproject.org> - 1.0.1-1
- Initial RPM Package.
